"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindAllStatesByCountryResponseDto = exports.findAllStatesByCountryResponseSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
exports.findAllStatesByCountryResponseSchema = zod_1.default.object({
    states: zod_1.default.array(zod_1.default.object({
        name: zod_1.default.string(),
        isoCode: zod_1.default.string(),
        countryCode: zod_1.default.string(),
        countryName: zod_1.default.string(),
        latitude: zod_1.default.string().nullish(),
        longitude: zod_1.default.string().nullish(),
    })),
});
class FindAllStatesByCountryResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findAllStatesByCountryResponseSchema) {
}
exports.FindAllStatesByCountryResponseDto = FindAllStatesByCountryResponseDto;
//# sourceMappingURL=states-by-country.dto.js.map