"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MassiveAllocationResponseDto = exports.massiveAllocationResponseSchema = exports.MassiveAllocationDto = exports.massiveAllocationSchema = void 0;
const profile_dto_1 = require("../../profile/dto/profile.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_dto_1 = require("./tag.dto");
const zod_1 = __importDefault(require("zod"));
exports.massiveAllocationSchema = zod_1.default.object({
    tagIds: zod_1.default.array(tag_dto_1.tagSchema.shape.id),
    profileIds: zod_1.default.array(profile_dto_1.profileSchema.shape.id),
});
class MassiveAllocationDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.massiveAllocationSchema) {
}
exports.MassiveAllocationDto = MassiveAllocationDto;
exports.massiveAllocationResponseSchema = zod_1.default.object({
    profiles: zod_1.default.array(profile_dto_1.profileSchema),
});
class MassiveAllocationResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.massiveAllocationResponseSchema) {
}
exports.MassiveAllocationResponseDto = MassiveAllocationResponseDto;
//# sourceMappingURL=massive-allocation.dto.js.map