"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetBySupraEventResponseDto = exports.getBySupraEventResponseSchema = exports.GetByIdEventResponseDto = exports.getByIdEventResponseSchema = void 0;
const event_dto_1 = require("./event.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_dto_1 = require("../../tag/dto/tag.dto");
const zod_1 = __importDefault(require("zod"));
exports.getByIdEventResponseSchema = event_dto_1.eventSchema.merge(zod_1.default.object({
    subEvents: zod_1.default.array(event_dto_1.eventSchema),
    supraEvent: event_dto_1.eventSchema.nullable(),
}));
class GetByIdEventResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.getByIdEventResponseSchema) {
}
exports.GetByIdEventResponseDto = GetByIdEventResponseDto;
exports.getBySupraEventResponseSchema = zod_1.default.array(event_dto_1.eventSchema.merge(zod_1.default.object({
    tagAssisted: tag_dto_1.tagSchema,
    tagConfirmed: tag_dto_1.tagSchema,
})));
class GetBySupraEventResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.getBySupraEventResponseSchema) {
}
exports.GetBySupraEventResponseDto = GetBySupraEventResponseDto;
//# sourceMappingURL=get-by-id-event.dto.js.map